### Method

# Gck Object destroy_async

#### Declaration [src]

    void
    gck_object_destroy_async (
      GckObject* self,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Destroy a PKCS#11 object, deleting it from storage or the session. This call will return immediately and complete asynchronously.

#### Parameters

`cancellable`

  Type: `GCancellable`

  Optional cancellable object, or `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  Callback which is called when operation completes.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.